<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="ts">
import { RouterLink, RouterView } from 'vue-router';
import Login from '@/components/Login.vue';
import Permission from '@/components/PermissionCheck.vue';
import '@/style.css';

import { useHead } from '@vueuse/head';
import { useRoute } from 'vue-router';
import { watch } from 'vue';
const route = useRoute();
watch(()=>route.path, (path)=>{
  if(path === "/"){
    useHead({
      meta: [
        { name: "robots", content: "index" }
      ]
    })
  } else{
    useHead({
      meta: [
        { name: "robots", content: "noindex" }
      ]
    })
  }
}, {immediate: true});
</script>

<template>
  <Permission>
    <Login>
      <RouterView/>
    </Login>
  </Permission>
</template>
